local frame = {
	InitCommand = function(self)
		self:visible(false)
		return self:sleep(1000)
	end
}

local streetlightCmd = {
	OnCommand = function(self)
		return self:queuecommand('Fall')
	end,
	FallCommand = function(self)
		self:x(SCREEN_RIGHT+128)
		self:y(4*93)
		self:sleep(0)
		-- comando linear se adapta a los scrolls de la cancion
		if GAMESTATE:GetSongBeat() >= 0 and GAMESTATE:GetSongBeat() < 76 then
			self:linear(2)
		end
		if GAMESTATE:GetSongBeat() >= 76 and GAMESTATE:GetSongBeat() < 81 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 81 and GAMESTATE:GetSongBeat() < 206 then
			self:linear(2)
		end
		if GAMESTATE:GetSongBeat() >= 206 and GAMESTATE:GetSongBeat() < 270 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 270 and GAMESTATE:GetSongBeat() < 273 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 273 and GAMESTATE:GetSongBeat() < 397 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 398 then
			self:linear(2)
		end
		self:x(SCREEN_LEFT-128)
		self:y(4*93)
		self:addrotationz(0)
		

		if GAMESTATE:GetSongBeat() < 450 then
			return self:queuecommand('Fall')
		end
	end
}
local streetlightCmd2 = {
	OnCommand = function(self)
		return self:queuecommand('Fall')
	end,
	FallCommand = function(self)
		self:x(SCREEN_RIGHT+128)
		self:y(4*93)
		self:sleep(1)
		-- comando linear se adapta a los scrolls de la cancion
		if GAMESTATE:GetSongBeat() >= 0 and GAMESTATE:GetSongBeat() < 75 then
			self:linear(2)
		end
		if GAMESTATE:GetSongBeat() >= 75 and GAMESTATE:GetSongBeat() < 79 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 79 and GAMESTATE:GetSongBeat() < 204 then
			self:linear(2)
		end
		if GAMESTATE:GetSongBeat() >= 204 and GAMESTATE:GetSongBeat() < 396 then
			self:linear(1)
		end
		if GAMESTATE:GetSongBeat() >= 395 then
			self:linear(2)
		end
		self:x(SCREEN_LEFT-128)
		self:y(4*93)
		self:addrotationz(0)
		

		if GAMESTATE:GetSongBeat() < 450 then
			return self:queuecommand('Fall')
		end
	end
}
local streetlight = LoadActor('streetlight') .. streetlightCmd
local streetlight2 = LoadActor('streetlight') .. streetlightCmd2
table.insert(frame, 0, streetlight)
table.insert(frame, 0, streetlight2)
return Def.ActorFrame(frame)
  